<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
</head>
<body>
	<script language="javascript" type="text/javascript">
		var nums = [1, 2, 3, 4, -5, -6];
		var result1 = 0;

		result1 = positivos(nums);
		result2 = negativos(nums);

		document.write("CONSULTAR CONSOLA");
		console.log("Array: " + nums);
		console.log("La suma de los elementos positivos es: " + result1);
		console.log("La suma de los elementos negativos es: " + result2);

		function positivos(arg1){
			var suma = 0;

			for(var i = 0; i < arg1.length; i++){
				if(arg1[i] > 0){
					suma += arg1[i];
				}
			}

			return suma;
		}

		function negativos(arg1){
			var suma = 0;

			for(var i = 0; i < arg1.length; i++){
				if(arg1[i] < 0){
					suma += arg1[i];
				}
			}

			return suma;
		}

	</script>
</body>
</html>